Bug 154982 - update mail/davmail to 3.9.0
Summary: update mail/davmail to 3.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-23 18:10 UTC by John Hein
Modified: 2011-03-09 14:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.54 KB, patch)
2011-02-23 18:10 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2011-02-23 18:10:08 UTC
davmail-3.8.8 was released 2011-01-11.
davmail-3.9.0 was released 2011-02-22.

release notes ...
https://sourceforge.net/projects/davmail/files/davmail/3.9.0/releasenotes.txt

I saw no regressions from 3.8.7 - tested imap & pop using a 2010 exchange
server, but not yet caldav.

Fix: simple update with minor tweak in post-build to combine
two commands to one...
Comment 1 Edwin Groothuis freebsd_committer 2011-02-23 18:10:13 UTC
Maintainer of mail/davmail,

Please note that PR ports/154982 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154982

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-02-23 18:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 john.c.prather 2011-02-23 20:44:35 UTC
I gave it a whirl on Exchange 2003, looks good!  I approve.

Thanks for the patch!!!

-john

On Wed, Feb 23, 2011 at 10:10 AM, Edwin Groothuis <edwin@freebsd.org> wrote=
:
> Maintainer of mail/davmail,
>
> Please note that PR ports/154982 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/154982
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Martin Wilke freebsd_committer 2011-02-24 00:49:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Chris Rees 2011-02-24 09:45:21 UTC
As per my email re ports/154903:

I've merged together the changes:

http://www.bayofrum.net/~crees/patches/davmail-3.9.0-with-rc-script.diff

(I named the file wrong (3.8.10) in the first email... but they're the same!)

Hope that helps,

Chris
Comment 6 john.c.prather 2011-03-01 00:06:12 UTC
I've applied the referenced patch successfully to the 3.8.7 version of
this port, and it's working successfully for me.

I approve applying this update to bring davmail up to 3.9.0 and add in
rc script and sample config.

Thanks, Chris!!!

> ---------- Forwarded message ----------
> From: Chris Rees <utisoft@gmail.com>
> Date: 24 February 2011 09:45
> Subject: Re: ports/154982: update mail/davmail to 3.9.0
> To: bug-followup@freebsd.org
>
>
> As per my email re ports/154903:
>
> I've merged together the changes:
>
> http://www.bayofrum.net/~crees/patches/davmail-3.9.0-with-rc-script.diff
>
> Hope that helps,
>
> Chris
>
Comment 7 Martin Wilke freebsd_committer 2011-03-09 14:01:58 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2011-03-09 14:02:01 UTC
miwi        2011-03-09 14:01:48 UTC

  FreeBSD ports repository

  Modified files:
    mail/davmail         Makefile distinfo pkg-plist 
    mail/davmail/files   davmail.sh.in 
  Added files:
    mail/davmail/files   davmail.in davmail.properties.sample 
  Log:
  - Update to 3.9.0
  
  PR:             154982
  Submitted by:   John Hein <jhein@symmetricom.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.3       +19 -11    ports/mail/davmail/Makefile
  1.3       +2 -2      ports/mail/davmail/distinfo
  1.1       +43 -0     ports/mail/davmail/files/davmail.in (new)
  1.1       +34 -0     ports/mail/davmail/files/davmail.properties.sample (new)
  1.2       +3 -2      ports/mail/davmail/files/davmail.sh.in
  1.3       +3 -0      ports/mail/davmail/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"